Package org.opensaml.saml.saml1.binding.artifact

# Class SAML1ArtifactType0001Builder

java.lang.Object
org.opensaml.saml.saml1.binding.artifact.SAML1ArtifactType0001Builder

All Implemented Interfaces:
  `SAML1ArtifactBuilder<SAML1ArtifactType0001>`

public class SAML1ArtifactType0001Builder extends Object implements SAML1ArtifactBuilder<SAML1ArtifactType0001>
Builder of SAML 1, type 0x001, artifacts.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final org.slf4j.Logger`
`log`
Class logger.

## Constructor Summary

Constructors
Constructor
Description
`SAML1ArtifactType0001Builder()`

## Method Summary

Modifier and Type
Method
Description
`SAML1ArtifactType0001`
`buildArtifact(byte[] artifact)`
Builds a populated artifact given the artifact's byte-array representation.
`SAML1ArtifactType0001`
`buildArtifact(MessageContext requestContext, Assertion assertion)`
Builds an artifact, for the given assertion, destined for the outbound message recipient.
`protected SAMLArtifactContext`
`getArtifactContext(MessageContext requestContext)`
Get the artifact context.
`protected String`
`getSourceEntityId(MessageContext requestContext)`
Get the local entityId.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### log

@Nonnull private final org.slf4j.Logger log
Class logger.

## Constructor Details

### SAML1ArtifactType0001Builder

public SAML1ArtifactType0001Builder()

## Method Details

### buildArtifact

@Nullable public SAML1ArtifactType0001 buildArtifact(@Nonnull byte[] artifact)
Builds a populated artifact given the artifact's byte-array representation.

Specified by:
  `buildArtifact` in interface `SAML1ArtifactBuilder<SAML1ArtifactType0001>`
Parameters:
  `artifact` - the byte representation of the artifact
Returns:
  populated artifact

### buildArtifact

@Nullable public SAML1ArtifactType0001 buildArtifact(@Nonnull MessageContext requestContext, @Nonnull Assertion assertion)
Builds an artifact, for the given assertion, destined for the outbound message recipient.

Specified by:
  `buildArtifact` in interface `SAML1ArtifactBuilder<SAML1ArtifactType0001>`
Parameters:
  `requestContext` - request context
  `assertion` - assertion to build artifact for
Returns:
  constructed artifact

### getArtifactContext

@Nullable protected SAMLArtifactContext getArtifactContext(@Nonnull MessageContext requestContext)
Get the artifact context.

Parameters:
  `requestContext` - the current message context
Returns:
  the SAML artifact context, or null

### getSourceEntityId

@Nullable protected String getSourceEntityId(@Nonnull MessageContext requestContext)
Get the local entityId.

Parameters:
  `requestContext` - the message context
Returns:
  the local entityId